scala.tools.nsc.settings.MutableSettings

# OutputDirs

#### class OutputDirs extends AnyRef

A class for holding mappings from source directories to their output location. This functionality can be accessed only programmatically. The command line compiler uses a single output location, but tools may use this functionality to set output location per source directory.

Source
  MutableSettings.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. OutputDirs
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new OutputDirs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from OutputDirs to any2stringadd[OutputDirs] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (OutputDirs, B)

   Implicit information
     This member is added by an implicit conversion from OutputDirs to ArrowAssoc[OutputDirs] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def add(src: AbstractFile, dst: AbstractFile): Unit

7. #### def add(srcDir: String, outDir: String): Unit

   Add a destination directory for sources found under srcdir.

   Add a destination directory for sources found under srcdir. Both directories should exits.

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def ensuring(cond: (OutputDirs) ⇒ Boolean, msg: ⇒ Any): OutputDirs

    Implicit information
      This member is added by an implicit conversion from OutputDirs to Ensuring[OutputDirs] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (OutputDirs) ⇒ Boolean): OutputDirs

    Implicit information
      This member is added by an implicit conversion from OutputDirs to Ensuring[OutputDirs] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): OutputDirs

    Implicit information
      This member is added by an implicit conversion from OutputDirs to Ensuring[OutputDirs] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): OutputDirs

    Implicit information
      This member is added by an implicit conversion from OutputDirs to Ensuring[OutputDirs] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from OutputDirs to StringFormat[OutputDirs] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def getSingleOutput: Option[AbstractFile]

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def outputDirFor(src: AbstractFile): AbstractFile

    Return the output directory for the given file.

26. #### def outputs: List[(AbstractFile, AbstractFile)]

    Return the list of source-destination directory pairs.

27. #### def setSingleOutput(dir: AbstractFile): Unit

    Set the single output directory.

    Set the single output directory. From now on, all files will be dumped in there, regardless of previous calls to 'add'.

28. #### def setSingleOutput(outDir: String): Unit

    Set the single output directory.

    Set the single output directory. From now on, all files will be dumped in there, regardless of previous calls to 'add'.

29. #### def srcFilesFor(classFile: AbstractFile, srcPath: String): List[AbstractFile]

    Return the source file path(s) which correspond to the given classfile path and SourceFile attribute value, subject to the condition that source files are arranged in the filesystem according to Java package layout conventions.

    Return the source file path(s) which correspond to the given classfile path and SourceFile attribute value, subject to the condition that source files are arranged in the filesystem according to Java package layout conventions.

    The given classfile path must be contained in at least one of the specified output directories. If it does not then this method returns Nil.

    Note that the source file is not required to exist, so assuming a valid classfile path this method will always return a list containing at least one element.

    Also that if two or more source path elements target the same output directory there will be two or more candidate source file paths.

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def →[B](y: B): (OutputDirs, B)

    Implicit information
      This member is added by an implicit conversion from OutputDirs to ArrowAssoc[OutputDirs] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from OutputDirs to any2stringadd[OutputDirs]

### Inherited by implicit conversion StringFormat from OutputDirs to StringFormat[OutputDirs]

### Inherited by implicit conversion Ensuring from OutputDirs to Ensuring[OutputDirs]

### Inherited by implicit conversion ArrowAssoc from OutputDirs to ArrowAssoc[OutputDirs]

### Ungrouped